The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the Upload Status

Prev Next

This URL will get the upload status of the diagnostic trace file.

Resource URL

GET /sensor/<sensor_id>/diagnosticstrace/upload

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensorId

Sensor id

Number

Yes

Payload Request Parameters: None

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

updatePercentageComplete

Percentage of the upload process completed

Number

updateStatusMessage

Status of the upload process

String

Example

Request

GET https://<NSM_IP>/sensor/1001/diagnosticstrace/upload

Payload

None

Response

{
        "updatePercentageComplete": 50,
        "updateStatusMessage": "IN PROGRESS:Transfer of File Segment in progress for.... Sensor: sensor"
    }

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor

2

500

1124

The Sensor is inactive